Description: Bonjour,

il m'arrive parfois, pour me rassurer, a l'issue de I'écriture d'un gros sujet complexe, de récupérer quelques
pages du fichier @DOC-indiv-solution.pdf@ pour le faire mouliner par AMC et vérifier que :

# la correction se fait sans encombre ;

# le candidat test est bien reconnu via son identifiant

# et surtout, voir rapidement mon baréme (*y a-t-il une solution plus simple pour visualiser son baréme global
sans passer par cette pseudo-correction ?*)

Or, il arrive que des cases n'aient pas exactement les mémes coordonnées dans les fichiers
@DOC-sujet.pdf@ et @DOC-indiv-solution.pdf@.

Cela semble se produire quand on a vérification conjointe des conditions suivants :

# une question type QCM (réponse unique ou multiple)

# avec réponses horizontales

# si chaque réponse est suivie d'un @\scoring{...}@

# et que la fin de ligne n'est pas échappée par un @%@.

Voici un MWE :

* *Aucun décalage” dans ce cas :

<pre>
\begin{question}{bug-calage}\scoring{mz=1}
0 Donner le sens du vecteur champ électrique $\vec E_1$.
0\begin{reponseshoriz}[o]

00\bonne{O}

00\mauvaise{N}

00\mauvaise{E}

00\mauvaise{S}

0\end{reponseshoriz}

\end{question}

</pre>

* *Décalage* dans ce cas :

<pre>
\begin{question}{bug-calage}\scoring{mz=1}

0 Donner le sens du vecteur champ électrique $\vec E_1$.
0\begin{reponseshoriz}[o]
00\bonne{O}\scoring{setglobal.angE1=180}
00\mauvaise{N}\scoring{setglobal.angE1=90}
00\mauvaise{E}\scoring{setglobal.angE1=0}
00\mauvaise{S}\scoring{setglobal.angE1=-90}
0\end{reponseshoriz}

\end{question}

</pre>
* *Aucun décalage* dans ce cas :

<pre>
\begin{question}{bug-calage}\scoring{mz=1}

0 Donner le sens du vecteur champ électrique $\vec E_1$.
0\begin{reponseshoriz}[o]
00\bonne{O}\scoring{setglobal.angE1=180}%
00\mauvaise{N}\scoring{setglobal.angE1=90}%
00\mauvaise{E}\scoring{setglobal.angE1=0}%
00\mauvaise{S}\scoring{setglobal.angE1=-90}%
0\end{reponseshoriz}

\end{question}

</pre>

J'ai joint une capture d'écran des 2 fichiers cote a cte avec des pointillés rouges qui mettent en évidence le
décalage quand il se produit.

Merci et bonnes fétes a tous.

History

12/30/2022 06:17 pm - Frédéric Bréal
Pour le baréme global, je fais comme vous mais pour chaque question, vous pouvez tester votre bareme Aide > test du bareme.

Pour le décalage, avez-vous testé avec @multicols@ que je préfere a @reponseshoriz@ a cause des espaces trop grands.

12/31/2022 09:32 am - Vincent Raspal

Effectivement, avec @multicols@ c¢a fonctionne. Mais cela reste étrange que la mise en page différe entre sujet et correction individuelle pour
@reponseshoriz@.

Pour le baréme, je ne trouve pas le menu @test du bareme@ dans @aide@. J'ai la version @1.5.2@ d'AMC.

12/31/2022 11:37 am - Frédéric Bréal
- File AMC-test-bareme.png added

Je suis sur le ppa test, I'option a été créée il y a 7 mois
https://gitlab.com/a10684/auto-multiple-choice/-/commit/963888209844c93db33a05be14f157374481b21b.

12/31/2022 11:43 am - Vincent Raspal

OK. Merci pour l'info.

Je ne souhaite pas passer sur le ppa test car je suis prudent pour mes examens CEPENDANT je garde en téte que I'option arrivera un jour ou l'autre
sur une version stable

Peut-on |'attendre dans la version 1.6.0 ? a quelle échéance a peu prés ?
12/31/2022 11:51 am - Frédéric Bréal
De tres bient6t a bientét voire pas longtemps : https://gitlab.com/a10684/auto-multiple-choice/-/commit/43535b4aa601c595470fa3e243f8ee4d4fdebfbb

La version test est passée en 1.6.0 RC 1 mais je ne sais pas combien de temps il faut & Alexis Bienveniie pour compiler et mettre a jour sur les dépbts.

01/01/2023 03:07 pm - Alexis Bienveniie
- Status changed from New to Resolved

- Target version set to 1.6.0
- % Done changed from 0 to 100

Ce bug devrait étre corrigé avec git:7{70d7c4

01/06/2023 08:27 pm - Vincent Raspal
Merci !l
Quelle réactivité.
